Cantera 2.6.0

Variables
Surface Problem Solver Methods

## Variables
const int | SFLUX_INITIALIZE = 1
| This assumes that the initial guess supplied to the routine is far from the correct one. More...
const int | SFLUX_RESIDUAL = 2
| Need to solve the surface problem in order to calculate the surface fluxes of gas-phase species. More...
const int | SFLUX_JACOBIAN = 3
| Calculation of the surface problem is due to the need for a numerical Jacobian for the gas-problem. More...
const int | SFLUX_TRANSIENT = 4
| The transient calculation is performed here for an amount of time specified by "time_scale". More...

## Detailed Description

## Variable Documentation

## ◆ SFLUX_INITIALIZE

const int SFLUX_INITIALIZE = 1

This assumes that the initial guess supplied to the routine is far from the correct one.

Substantial work plus transient time-stepping is to be expected to find a solution.

Definition at line 21 of file solveSP.h.

Referenced by solveSP::print_header(), ImplicitSurfChem::solvePseudoSteadyStateProblem(), and solveSP::solveSurfProb().

## ◆ SFLUX_RESIDUAL

const int SFLUX_RESIDUAL = 2

Need to solve the surface problem in order to calculate the surface fluxes of gas-phase species.

(Can expect a moderate change in the solution vector; try to solve the system by direct methods with no damping first, then try time-stepping if the first method fails). A "time_scale" supplied here is used in the algorithm to determine when to shut off time-stepping.

Definition at line 28 of file solveSP.h.

Referenced by solveSP::print_header(), and ImplicitSurfChem::solvePseudoSteadyStateProblem().

## ◆ SFLUX_JACOBIAN

const int SFLUX_JACOBIAN = 3

Calculation of the surface problem is due to the need for a numerical Jacobian for the gas-problem.

The solution is expected to be very close to the initial guess, and accuracy is needed because solution variables have been perturbed from nominal values to create Jacobian entries.

Definition at line 34 of file solveSP.h.

Referenced by solveSP::print_header(), and solveSP::solveSurfProb().

## ◆ SFLUX_TRANSIENT

const int SFLUX_TRANSIENT = 4

The transient calculation is performed here for an amount of time specified by "time_scale".

It is not guaranteed to be time-accurate - just stable and fairly fast. The solution after del_t time is returned, whether it's converged to a steady state or not. This is a poor man's time stepping algorithm.

Definition at line 41 of file solveSP.h.

Referenced by solveSP::print_header(), and solveSP::solveSurfProb().